Bug 493742 - Minor corruption when right display is rotated
Minor corruption when right display is rotated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 17:55 EDT by Kevin DeKorte
Modified: 2018-04-11 04:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 13:40:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested Log (375.65 KB, text/plain)
2009-04-03 13:09 EDT, Kevin DeKorte
no flags Details
Requested Conf (949 bytes, text/plain)
2009-04-03 13:10 EDT, Kevin DeKorte
no flags Details
Picture of the minor corruption (3.83 MB, image/jpeg)
2009-04-09 15:54 EDT, Kevin DeKorte
no flags Details

  None (edit)
Description Kevin DeKorte 2009-04-02 17:55:31 EDT
Description of problem:
Not sure if this a is single head or dual head only issue, but when I rotate
the monitor connected to DVI-0 (left rotation) I get some minor corruption on
the left side of a window when I move to the right (seems to be an off by one
issue)

Card, ATI 3650, using the ATI driver in rawhide as of 4.2.2009
xorg-x11-drv-ati-6.12.0-2.fc11.x86_64 

DVI-1 is connected to 1680x1060 monitor 
DVI-0 is connected to 1280x1024 monitor
DVI-0 is setup to be left of DVI-1

Virtual size is set to 4096 x 2048
If I don't rotate, I don't see any corruption, and when I rotate the DVI-1
display I don't see any corruption  

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.x86_64 

How reproducible:
100%

Steps to Reproduce:
1. Boot with dual head
2. rotate display on the right
3.
  
Actual results:
Minor corruption

Expected results:
No corruption

Additional info:
Comment 1 Kevin DeKorte 2009-04-02 17:56:55 EDT
Sorry I messed up...

DVI-1 is connected to 1680x1060 monitor 
DVI-0 is connected to 1280x1024 monitor
DVI-0 is setup to be RIGHT of DVI-1
Comment 2 Matěj Cepl 2009-04-03 12:48:01 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Kevin DeKorte 2009-04-03 13:09:52 EDT
Created attachment 338085 [details]
Requested Log
Comment 4 Kevin DeKorte 2009-04-03 13:10:32 EDT
Created attachment 338086 [details]
Requested Conf
Comment 5 Kevin DeKorte 2009-04-09 15:54:49 EDT
Created attachment 338987 [details]
Picture of the minor corruption
Comment 6 Kevin DeKorte 2009-04-29 16:05:50 EDT
Appears to be corrected in current rawhide
Comment 7 Bug Zapper 2009-06-09 09:09:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-11-05 13:25:03 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Kevin DeKorte 2009-11-05 13:40:02 EST
This bug has been fixed.

Note You need to log in before you can comment on or make changes to this bug.